JNA API 3.3.0

## com.sun.jna.platform.win32
Class Winspool.PRINTER_INFO_4

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Winspool.PRINTER_INFO_4

Enclosing interface:
  Winspool

    public static class Winspool.PRINTER_INFO_4

extends Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WinDef.DWORD` | `Attributes`
`String` | `pPrinterName`
`String` | `pServerName`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Winspool.PRINTER_INFO_4()`
`Winspool.PRINTER_INFO_4(int size)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pPrinterName

    public String pPrinterName

### pServerName

    public String pServerName

### Attributes

    public WinDef.DWORD Attributes

Constructor Detail

### Winspool.PRINTER_INFO_4

    public Winspool.PRINTER_INFO_4()

### Winspool.PRINTER_INFO_4

    public Winspool.PRINTER_INFO_4(int size)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.